<app-base-layout [enableMobileHeader]="true" title="Manage Permissions" [enableDeskTopHeader] ="true" [enableDeskTopHeaderAction]="true"  >
  <div class="container">
    <div class="row">
      <div *ngIf="platform !== 'web'" class="col-12">
        <div class="card permission-card">
          <div>
            <span class="permission-title">Enable screen lock</span>
            <span class="permission-info"
              >Secure your account on Dollarbull</span
            >
          </div>
          <div class="toggle-div">
            <label class="toggle">
              <input
                type="checkbox"
                [checked]="screenLock ? 'checked' : null"
                (click)="handlePermissions('screen')"
              />
              <span class="slider round"></span>
            </label>
          </div>
        </div>
      </div>
      <div class="col-12" *ngIf="!isGuestUser">
        <div class="card permission-card">
          <div>
            <span class="permission-title">Sms permissions</span>
            <span class="permission-info">Get SMS for your Order status</span>
          </div>
          <div class="toggle-div">
            <label class="toggle">
              <input
                type="checkbox"
                [checked]="smsPermission ? 'checked' : null"
                (click)="handlePermissions('sms')"
              />
              <span class="slider round"></span>
            </label>
          </div>
        </div>
      </div>
    </div>
  </div>
</app-base-layout>
